{% extends 'profile/news/base_detail_blog.html' %}
{% load custom_tags %}
{% load static %}
{% block css %}
<style type="text/css">
	.x {
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
		color: #fff;
		text-align: center;
	}
</style>
{% endblock css %}
{% block main %}
<div role="main" class="main">
	<div class="container pt-3 pb-2">
		<div class="row align-items-center py-4">
			<div class="col">
				<a href="#" class="text-decoration-none d-block float-start">
					<div class="d-flex align-items-center line-height-1">
						<h2 class="text-dark font-weight-bold text-7 mb-0">{{produk.nama}}</h2>
						<!-- <i class="fas fa-arrow-left text-dark text-4 me-3"></i> -->
						<!-- <div class="d-none d-sm-block line-height-1">
							<span class="text-dark opacity-4 text-1">PREVIOUS PROJECT</span>
							<h4 class="font-weight-bold text-3 mb-0">Presentation</h4>
						</div> -->
					</div>
				</a>
			</div>
			<!-- <div class="col">
				<div class="row">
					<div class="col-md-12 align-self-start p-static order-2 text-center">
						<div class="overflow-hidden pb-2">
							<h2 class="text-dark font-weight-bold text-7 mb-0">{{produk.product_name}}</h2>
						</div>
					</div>
				</div>
			</div> -->
			<div class="col">
        <a href="#" class="text-decoration-none d-block float-end">
          <div class="d-flex align-items-center justify-content-between text-end line-height-1" style="display: flex; align-items: center; justify-content: flex-end;">
            <a href="{% url 'profile:ajax' %}" class="btn btn-dark custom-border-radius-1 font-weight-semibold box-shadow-4 text-3-5 btn-px-2" style="background-color: black; border-color: black;">
              Kembali 
              <i class="fas fa-arrow-right text-white text-4 ms-3" style="color: white;"></i>
            </a>
          </div>
        </a>
      </div>
	
		</div>
	</div>
    
	
	<div class="container-fluid pb-5">
        <div class="row justify-content-center">
          <div class="col appear-animation" data-appear-animation="fadeInUpShorter" data-appear-animation-delay="100">
              <div id="sxhdz" class="row image-gallery sort-destination lightbox">
                {% for dt in haha %}
                  <div class="isotope-item col-sm-6 col-lg-3 {{dt.option}} p-0">
                    <div class="image-gallery-item mb-0">
                      <a href="#" class="lightbox-portfolio"  data-tooltip="tooltip" data-placement="top" title="Detail"
                      data-toggle="modal" data-target="#myModal"
                      id="{% url 'profile:admin_product_edit' dt.id %}"
                      data-name="{{ dt.product_name }}"
                      data-category="{{ dt.category }}"
                      data-description = "{{ dt.description }}"
                      data-foto="{{ dt.images.url }}"
                      data-harga = "{{ dt.harga }}"
                      data-diskon = "{{ dt.diskon }}"
                      data-current-index="{{ forloop.counter0 }}">
                        <span class="thumb-info thumb-info-centered-info thumb-info-no-borders custom-thumb-info-style-1">
                          <span class="thumb-info-wrapper">
                            <img src="{{dt.images.url}}" class="img-fluid" alt="">
                            <span class="thumb-info-title">
                              <span class="thumb-info-inner">{{dt.product_name}}</span>
                              {% if dt.category %}
                              <span class="thumb-info-type">{{dt.category}}</span>
                              {% endif %}
                            </span>
                            {% if dt.best %}
                            <span class="thumb-info-best">Best Seller</span>
                            {% endif %}
                          </span>
                        </span>
                      </a>
                    </div>
                  </div>
                {% endfor %}
              </div>
          </div>
        </div>
    </div>

    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Detail Product</h5>
              <h5 id="id"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="ajax-container">
                <div class="row align-items-center">
              
                  <div class="col">
                    <a href="#" class="text-decoration-none d-block float-start">
                      <div class="d-flex align-items-center line-height-1">
                        <!-- <i id="prev" class="fas fa-arrow-left text-dark text-4 me-3"></i> -->
                        <span class="text-dark font-weight-bold text-4 me-3" id="detail-nama"></span>
                        <!-- <div class="d-none d-sm-block line-height-1">
                          <span class="text-dark opacity-4 text-1">PREVIOUS PROJECT</span>
                          <h4 class="font-weight-bold text-3 mb-0">Presentation</h4>
                        </div> -->
                      </div>
                    </a>
                  </div>
                  <div class="col">
                    <div class="row">
                      <div class="col-md-12 align-self-center p-static order-2 text-center">
                        <div class="overflow-hidden pb-2">
                          <!-- <h2 class="text-dark font-weight-bold text-7 mb-0" id="detail-nama"></h2> -->
                          <h3 id="id"></h3>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <a href="#" class="text-decoration-none d-block float-end">
                      <div class="d-flex align-items-center justify-content-between text-end line-height-1" style="display: flex; align-items: center; justify-content: flex-end;">
                        <a href="{% url 'profile:ajax' %}" class="btn btn-dark custom-border-radius-1 font-weight-semibold box-shadow-4 text-3-5 btn-px-2" style="background-color: black; border-color: black;">
                          Kembali 
                          <i class="fas fa-arrow-right text-white text-4 ms-3" style="color: white;"></i>
                        </a>
                      </div>
                    </a>
                  </div>
                  
              
                </div>
                
                <div class="row align-items-center py-4">

                    <div class="col">
                        <a href="#" data-ajax-portfolio-prev class="text-decoration-none d-block float-start">
                            <div class="d-flex align-items-center line-height-1">
                                <i id="prev" class="fas fa-arrow-left text-dark text-4 me-3"></i>
                                <div class="d-none d-sm-block line-height-1">
                                    <!-- <span class="text-dark opacity-4 text-1">PREVIOUS PROJECT</span> -->
                                    <h4 class="font-weight-bold text-3 mb-0">Previous Product</h4>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col">
                        <div class="row">
                            <!-- <div class="col-md-12 align-self-center p-static order-2 text-center">
                                <div class="overflow-hidden pb-2">
                                    <h2 class="text-dark font-weight-bold text-7 mb-0">Porto Watch</h2>
                                </div>
                            </div> -->
                        </div>
                    </div>
                    <div class="col">
                        <a href="#" data-ajax-portfolio-next class="text-decoration-none d-block float-end">
                            <div class="d-flex align-items-center text-end line-height-1">
                                <div class="d-none d-sm-block line-height-1">
                                    <!-- <span class="text-dark opacity-4 text-1">NEXT PROJECT</span> -->
                                    <h4 class="font-weight-bold text-3 mb-0">Next Product</h4>
                                </div>
                                <i id="next" class="fas fa-arrow-right text-dark text-4 ms-3"></i>
                            </div>
                        </a>
                    </div>
            
                </div>

                <div class="row pb-4 mb-2">
                  <div class="col-sm-6">
              
                    <div class="img-thumbnail border-0 border-radius-0 p-0 d-block">
                      <img src="" id="detail-foto" class="img-fluid border-radius-0" alt="">
                    </div>
              
                    <hr class="solid my-5">
              
                    <!-- <strong class="text-uppercase text-1 me-3 text-dark float-start position-relative top-2">Share</strong>
                    <ul class="social-icons">
                      <li class="social-icons-facebook"><a href="http://jendelarohani.com/" target="_blank" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                      <li class="social-icons-twitter"><a href="http://www.twitter.com/" target="_blank" title="Twitter"><i class="fab fa-twitter"></i></a></li>
                    </ul> -->
                    <a href="{{wa}}" class="btn btn-dark custom-border-radius-1 font-weight-semibold box-shadow-4 text-3-5 btn-px-5 py-3 float-center">
                      <span class="fa fa-shopping-cart"></span> 
                      PURCHASE NOW
                    </a>
              
                  </div>
                  <div class="col-sm-6">
                    <h2 class="text-color-dark font-weight-normal text-4 mb-0">Product <strong class="font-weight-extra-bold">Description</strong></h2>
                    <p id="detail-description"></p>
                    <h2 class="text-color-dark font-weight-normal text-4 mb-0 mt-4">Product <strong class="font-weight-extra-bold">Details</strong></h2>
                    <ul class="list list-icons list-primary list-borders text-2">
                      <li><i class="fas fa-caret-right left-10"></i> <strong class="text-color-primary">Category:</strong> <h6 id="detail-category"></h6></li>
                      <li><i class="fas fa-caret-right left-10"></i> <strong class="text-color-primary">Harga:</strong> <h6 id="detail-harga"></h6> </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
</div>
{% endblock main %}
{% block scripts %}
<script>
    $(document).ready(function() {
    // Fungsi untuk menampilkan modal dan mengisinya dengan data dari thumbnail yang diklik
    $('#sxhdz').on('click', '.lightbox-portfolio', function(e) {
        e.preventDefault();

        // Ambil data yang disimpan di atribut HTML
        var id = $(this).attr('id');
        var name = $(this).data('name');
        var category = $(this).data('category');
        var description = $(this).data('description');
        var foto = $(this).data('foto');
        var harga = $(this).data('harga');
        var diskon = $(this).data('diskon');
        var currentIndex = $(this).data('current-index');

        // Set isi modal dengan data yang diambil dari thumbnail
        $('#detail-nama').html(name);
        $('#detail-category').html(category);
        $('#detail-description').html(description);
        $('#detail-foto').attr('src', foto);
        $('#detail-harga').html(harga);
        $('#detail-diskon').html(diskon);
        $('#prev').attr('data-prev-index', currentIndex - 1);
        $('#next').attr('data-next-index', currentIndex + 1);

        // Tampilkan modal
        $('#myModal').modal('show');
    });

    // Fungsi untuk menampilkan thumbnail berikutnya ketika tombol Next di klik
    $('#next').on('click', function(e) {
        e.preventDefault();

        // Ambil indeks thumbnail berikutnya dari atribut HTML
        var nextIndex = $(this).attr('data-next-index');

        // Cari thumbnail yang sesuai dengan indeks tersebut
        var nextThumbnail = $('#sxhdz .lightbox-portfolio[data-current-index="' + nextIndex + '"]');

        // Jika thumbnail ditemukan, klik thumbnail tersebut
        if (nextThumbnail.length) {
            nextThumbnail.click();
        }
    });

    // Fungsi untuk menampilkan thumbnail sebelumnya ketika tombol Prev di klik
    $('#prev').on('click', function(e) {
        e.preventDefault();

        // Ambil indeks thumbnail sebelumnya dari atribut HTML
        var prevIndex = $(this).attr('data-prev-index');

        // Cari thumbnail yang sesuai dengan indeks tersebut
        var prevThumbnail = $('#sxhdz .lightbox-portfolio[data-current-index="' + prevIndex + '"]');

        // Jika thumbnail ditemukan, klik thumbnail tersebut
        if (prevThumbnail.length) {
            prevThumbnail.click();
        }
    });

    $('.close').click(function() {
        $('#myModal').modal('hide');
    });
});

</script>
{% endblock scripts %}